package com.chinaweal.aiccs.aiccs.punishment.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaweal.aiccs.aiccs.punishment.entity.EntLock;
import com.chinaweal.aiccs.aiccs.punishment.entity.Personlock;

import java.util.List;

/**
 * <p>
 * 个人锁定 Mapper 接口
 * </p>
 *
 * @author sh
 * @since 2022-06-17
 */
public interface PersonlockMapper extends BaseMapper<Personlock> {

    List<Personlock> selectLockPerson(String entname);

    List<Personlock> queryAll();

    List<Personlock> unlocked();

    Personlock check(String lerep);

    List<Personlock> lockList();
}